import React from "react";
import "./instructions.css";

interface InstructionsProps {
    connectOnDragEnabled: boolean;
}

function Instructions({ connectOnDragEnabled }: InstructionsProps) {
    return (
        <ul className={"instructions"}>
            <li>Click background to deselect all node</li>
            <li>
                SHIFT+Click and drag on background to add nodes to selection
            </li>
            <li>CTRL+Click background to create a new node</li>
            <li>Click node to select and edit</li>
            <li>SHIFT+Click node to add or remove from selection</li>
            <li>CTRL+Click another node to connect</li>
            <li>Right-Click node to delete</li>
            <li>Right-Click link to delete</li>
            {connectOnDragEnabled ? (
                <li>Drag node close to other node to connect</li>
            ) : (
                ""
            )}
            <li>DELETE to delete selected nodes</li>
            <li>ESCAPE to clear selection</li>
        </ul>
    );
}

export default Instructions;
