import React from "react";
import { ReactNode } from "react";
import "./nodetypeseditor.css";
import { NodeTypeEntry } from "./nodetypeentry";
import { NodeType } from "../../common/graph/nodetype";
import { DynamicGraph } from "../graph";

type propTypes = {
    graph: DynamicGraph;
    onChange: { (): void };
    onSelectAll: (type: NodeType) => void;
};

export class NodeTypesEditor extends React.Component<propTypes> {
    constructor(props: propTypes) {
        super(props);
        this.addType = this.addType.bind(this);
    }

    private addType() {
        this.props.graph.createObjectGroup();
    }

    render(): ReactNode {
        if (this.props.graph === undefined) {
            return "No graph selected.";
        }

        return (
            <div id="node-types-editor">
                <h3>Node types</h3>
                <ul>
                    {this.props.graph.objectGroups.map((type) => (
                        <NodeTypeEntry
                            onChange={this.props.onChange}
                            key={type.id}
                            type={type}
                            graph={this.props.graph}
                            onSelectAll={this.props.onSelectAll}
                        />
                    ))}
                </ul>
                <button onClick={this.addType}>Add type</button>
            </div>
        );
    }
}
