import React from "react";
import "./spaceselect.css";

interface SpaceSelectProps {
    onLoadSpace: (spaceId: string) => boolean;
    spaces: string[];
    spaceId: string;
}

function SpaceSelect({ onLoadSpace, spaces, spaceId }: SpaceSelectProps) {
    return (
        <div id="spaceselect">
            <select
                onChange={(event) => onLoadSpace(event.target.value)}
                defaultValue={spaceId}
            >
                {spaces.map((spaceName: string) => (
                    <option key={spaceName} value={spaceName}>
                        {spaceName}
                    </option>
                ))}
            </select>
        </div>
    );
}

export default SpaceSelect;
